      real*4 a
      real*8 b
c
      integer lu,ecrit
c
      lu   =21
      ecrit=22
      
      open(lu,file='forcing4.dat',form='unformatted',
     .              access='direct',recl=4)
      open(ecrit,file='forcing8.dat',form='unformatted',
     .              access='direct',recl=8)
      icomp=1
c
100   read(lu,rec=icomp,err=999) a
      b=a
ccc      print *,icomp,' a= ',a,' b= ',b
      write(ecrit,rec=icomp) b
      icomp=icomp+1
      go to 100
c
999   print *,' Conversion terminee. Icomp = ',icomp-1
c
      stop
      end

      
